function void EntryPoint(void);


int WinMain(HINSTANCE instance, HINSTANCE prev_instance, LPSTR lp_cmd_line, int n_show_cmd)
{
  os_g_w32_hinstance = instance;
  base_main_thread_entry(EntryPoint, (U64)__argc, __argv);
  return 0;
}